import React from 'react';
import { ChangePasswordDialogProps } from './types';
/**
 * Component that renders a dialog with textField to enter current password and a change password form with a new password and confirm password inputs.
 * It includes callbacks so you can respond to changes in the inputs.
 *
 * @param {ChangePasswordDialogProps} props - props of changePassword dailog base component
 *
 * @category Component
 */
export declare const ChangePasswordDialogBase: React.FC<ChangePasswordDialogProps>;
